<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
       xmlns:o="http://xmlns.jcp.org/jsf/html"
        template="/WEB-INF/template.xhtml">

    <h:head>
        <f:facet name="first">
            <meta http-equiv="X-UA-Compatible" content="IE=edge" />
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
            <meta name="apple-mobile-web-app-capable" content="yes" />
        </f:facet>
        <title>PrimeFaces Ultima</title>
        <h:outputScript name="js/ripple.js" library="ultima-layout" />
        <h:outputScript name="js/layout.js" library="ultima-layout" />
    </h:head>

    <h:body styleClass="login-body">
    <h:form enctype="multipart/form-data">
        <div class="card login-panel ui-fluid">
            <div class="ui-g">
                <div class="ui-g-12">
                    <p:graphicImage name="images/logo-ultima.svg" library="ultima-layout" />
                </div>
                
                <div class="ui-g-12">
               
                    <h:panelGroup styleClass="md-inputfield">
                    
                    <p:inputText value="#{userctr.user.name}" />
                        
                        <label>Name</label>
                    </h:panelGroup>
                   
                    </div>
                    <div class="ui-g-12">
                    <h:panelGroup styleClass="md-inputfield">
                   
                    <p:inputText value="#{userctr.user.lastName}" />
                        
                        <label>LastName</label>
                    </h:panelGroup>
                    </div>
                    <div class="ui-g-12">
                    <h:panelGroup styleClass="md-inputfield">
                   
                    <p:inputText value="#{userctr.user.email}" />
                        
                        <label>Email</label>
                    </h:panelGroup>
                    </div>
                   
                   <div class="ui-g-12">
                    <h:panelGroup styleClass="md-inputfield">
                     
                        <o:inputFile value="#{userctr.file}" accept="image/png" >
                         </o:inputFile>
                        <label>Image</label>
                    </h:panelGroup>
                </div>
                  
                <div class="ui-g-12">
                    <h:panelGroup styleClass="md-inputfield">
                     
                        <p:inputText value="#{userctr.user.username}" />
                        <label>Username</label>
                    </h:panelGroup>
                </div>
                <div class="ui-g-12">
                    <h:panelGroup styleClass="md-inputfield">
                 
                    <p:password  value="#{userctr.user.password}"/>
                        
                        <label>Password</label>
                    </h:panelGroup>
                </div>
                <div class="ui-g-12">
              
                    <h:commandButton type="submit" action="#{userctr.doAdd()}" value="Sign In" icon="ui-icon-person" />
                    
                   
                </div>
            </div>
        </div>
      
        
        
        <h:outputStylesheet name="css/ripple.css" library="ultima-layout" />
     
       <h:outputStylesheet name="css/layout-#{guestPreferences.theme}.css" library="ultima-layout" />
 
   </h:form>
    </h:body>

</html>